
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class MasterPage : System.Web.UI.MasterPage
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (!IsPostBack)
        {
            if (Session["userrole"] != null)
            {

                if (Convert.ToString(Session["userrole"]) == "Principal")
                {
                    adminmenu();
                }
                else if (Convert.ToString(Session["userrole"]) == "HOD")
                {
                    HODmenu();

                }
             
                else if (Convert.ToString(Session["userrole"]) == "staff")
                {
                    staffmenu();
                }
            }
        

        }


    }

    private void adminmenu()
    {
        MenuItem m1 = new MenuItem();
        m1.Text = "HOME";
        m1.NavigateUrl = "LMS_home.aspx";
        MenuItem m2 = new MenuItem();
        m2.Text = "Contact Us ";
        m2.NavigateUrl = "LMS_Contact us.aspx";
        MenuItem m3 = new MenuItem();
        m3.Text = "About Us";
        m3.NavigateUrl = "LMS_About us.aspx";
        MenuItem m4 = new MenuItem();
        m4.Text = "Leaves";
        //m4.NavigateUrl = "CTMS_Voyagecall.aspx";
        MenuItem m5 = new MenuItem();
        m5.Text = "Apply Leave";
        m5.NavigateUrl = "LMS_leave application.aspx";
        MenuItem m6 = new MenuItem();
        m6.Text = "Waiting Leave applications";
        m6.NavigateUrl = "LMS_LeaveStatus.aspx";

        MenuItem m7 = new MenuItem();
        m7.Text = "My Leave Report";
        m7.NavigateUrl = "LMS_MyLeaveReport.aspx";
        MenuItem m8 = new MenuItem();
        m8.Text = "My staff Leave Report";
        m8.NavigateUrl = "MyStaffLeaveReport.aspx";
        MenuItem m9 = new MenuItem();
        m9.Text = "Attendance";
        //m9.NavigateUrl = "csm_viewsubjects.aspx";
        MenuItem m10 = new MenuItem();
        m10.Text = "Time in";
        m10.NavigateUrl = "LMS_AttendenceTimeIn.aspx";
        MenuItem m11 = new MenuItem();
        m11.Text = "Time Out";
        m11.NavigateUrl = "LMS_AttendencePunchout.aspx";
        MenuItem m12 = new MenuItem();
        m12.Text = "Attendance Report";
        m12.NavigateUrl = "LMS_Attendence.aspx";
        MenuItem m14 = new MenuItem();
        m14.Text = "My staff Attendance Report";
        m14.NavigateUrl = "MyStaffAttendanceReport .aspx";
        MenuItem m15 = new MenuItem();
        m15.Text = "Notice";
        //m15.NavigateUrl = "csm_newstaff.aspx";
        MenuItem m16 = new MenuItem();
        m16.Text = "Create Notice";
        m16.NavigateUrl = "LMS_CreateNotice.aspx";
        MenuItem m17 = new MenuItem();
        m17.Text = "View Notice";
        m17.NavigateUrl = "LMS_home.aspx";
        MenuItem m18 = new MenuItem();
        m18.Text = "Logging";
        //m18.NavigateUrl = "csm_deletestaff.aspx";
        MenuItem m19 = new MenuItem();
        m19.Text = "Login";
        m19.NavigateUrl = "LMS_login.aspx";
        MenuItem m20 = new MenuItem();
        m20.Text = "Logout";
        m20.NavigateUrl = "LMS_login.aspx";
        MenuItem m21 = new MenuItem();
        m21.Text = "Change Password";
        m21.NavigateUrl = "LMS_ChangePassword.aspx";

        Menu1.Items.Add(m1);
        m1.ChildItems.Add(m2);
        m1.ChildItems.Add(m3);
        Menu1.Items.Add(m4);
          m4.ChildItems.Add(m5);
          m4.ChildItems.Add(m6);
          m4.ChildItems.Add(m7);
          m4.ChildItems.Add(m8);
        Menu1.Items.Add(m9);
      
        m9.ChildItems.Add(m10);
        m9.ChildItems.Add(m11);
        m9.ChildItems.Add(m12);
        m9.ChildItems.Add(m14);
        Menu1.Items.Add(m15);
        m15.ChildItems.Add(m16);
        m15.ChildItems.Add(m17);
    
        Menu1.Items.Add(m18);
        m18.ChildItems.Add(m19);
        m18.ChildItems.Add(m20);
        m18.ChildItems.Add(m21);
    }


    private void HODmenu()
    {
        MenuItem m1 = new MenuItem();
        m1.Text = "HOME";
        m1.NavigateUrl = "LMS_home.aspx";
        MenuItem m2 = new MenuItem();
        m2.Text = "Contact Us ";
        m2.NavigateUrl = "LMS_Contact us.aspx";
        MenuItem m3 = new MenuItem();
        m3.Text = "About Us";
        m3.NavigateUrl = "LMS_About us.aspx";
        MenuItem m4 = new MenuItem();
        m4.Text = "Leaves";
        //m4.NavigateUrl = "CTMS_Voyagecall.aspx";
        MenuItem m5 = new MenuItem();
        m5.Text = "Apply Leave";
        m5.NavigateUrl = "LMS_leave application.aspx";
        MenuItem m6 = new MenuItem();
        m6.Text = "Waiting Leave applications";
        m6.NavigateUrl = "LMS_LeaveStatus.aspx";

        MenuItem m7 = new MenuItem();
        m7.Text = "My Leave Report";
        m7.NavigateUrl = "LMS_MyLeaveReport.aspx";
        MenuItem m8 = new MenuItem();
        m8.Text = "My staff Leave Report";
        m8.NavigateUrl = "MyStaffLeaveReport.aspx";
        MenuItem m9 = new MenuItem();
        m9.Text = "Attendance";
        //m9.NavigateUrl = "csm_viewsubjects.aspx";
        MenuItem m10 = new MenuItem();
        m10.Text = "Time in";
        m10.NavigateUrl = "LMS_AttendenceTimeIn.aspx";
        MenuItem m11 = new MenuItem();
        m11.Text = "Time Out";
        m11.NavigateUrl = "LMS_AttendencePunchout.aspx";
        MenuItem m12 = new MenuItem();
        m12.Text = "Attendance Report";
        m12.NavigateUrl = "LMS_Attendence.aspx";
        MenuItem m14 = new MenuItem();
        m14.Text = "My staff Attendance Report";
        m14.NavigateUrl = "MyStaffAttendanceReport .aspx";
        MenuItem m15 = new MenuItem();
        m15.Text = "Notice";
        //m15.NavigateUrl = "csm_newstaff.aspx";
        MenuItem m16 = new MenuItem();
        m16.Text = "Create Notice";
        m16.NavigateUrl = "LMS_CreateNotice.aspx";
        MenuItem m17 = new MenuItem();
        m17.Text = "View Notice";
        m17.NavigateUrl = "LMS_home.aspx";
        MenuItem m18 = new MenuItem();
        m18.Text = "Logging";
        //m18.NavigateUrl = "csm_deletestaff.aspx";
        MenuItem m19 = new MenuItem();
        m19.Text = "Login";
        m19.NavigateUrl = "LMS_login.aspx";
        MenuItem m20 = new MenuItem();
        m20.Text = "Logout";
        m20.NavigateUrl = "LMS_login.aspx";
        MenuItem m21 = new MenuItem();
        m21.Text = "Change Password";
        m21.NavigateUrl = "LMS_ChangePassword.aspx";

        Menu1.Items.Add(m1);
        m1.ChildItems.Add(m2);
        m1.ChildItems.Add(m3);
        Menu1.Items.Add(m4);
        m4.ChildItems.Add(m5);
        m4.ChildItems.Add(m6);
        m4.ChildItems.Add(m7);
        m4.ChildItems.Add(m8);
        Menu1.Items.Add(m9);

        m9.ChildItems.Add(m10);
        m9.ChildItems.Add(m11);
        m9.ChildItems.Add(m12);
        m9.ChildItems.Add(m14);
        Menu1.Items.Add(m15);
        m15.ChildItems.Add(m16);
        m15.ChildItems.Add(m17);

        Menu1.Items.Add(m18);
        m18.ChildItems.Add(m19);
        m18.ChildItems.Add(m20);
        m18.ChildItems.Add(m21);
    }

    private void staffmenu()
    {
        MenuItem m1 = new MenuItem();
        m1.Text = "HOME";
        m1.NavigateUrl = "LMS_home.aspx";
        MenuItem m2 = new MenuItem();
        m2.Text = "Contact Us ";
        m2.NavigateUrl = "LMS_Contact us.aspx";
        MenuItem m3 = new MenuItem();
        m3.Text = "About Us";
        m3.NavigateUrl = "LMS_About us.aspx";
        MenuItem m4 = new MenuItem();
        m4.Text = "Leaves";
        //m4.NavigateUrl = "CTMS_Voyagecall.aspx";
        MenuItem m5 = new MenuItem();
        m5.Text = "Apply Leave";
        m5.NavigateUrl = "LMS_leave application.aspx";
        //MenuItem m6 = new MenuItem();
        //m6.Text = "Waiting Leave applications";
        //m6.NavigateUrl = "LMS_LeaveStatus.aspx";

        MenuItem m7 = new MenuItem();
        m7.Text = "My Leave Report";
        m7.NavigateUrl = "LMS_MyLeaveReport.aspx";
        //MenuItem m8 = new MenuItem();
        //m8.Text = "My staff Leave Report";
        //m8.NavigateUrl = "MyStaffLeaveReport.aspx";
        MenuItem m9 = new MenuItem();
        m9.Text = "Attendance";
        //m9.NavigateUrl = "csm_viewsubjects.aspx";
        MenuItem m10 = new MenuItem();
        m10.Text = "Time in";
        m10.NavigateUrl = "LMS_AttendenceTimeIn.aspx";
        MenuItem m11 = new MenuItem();
        m11.Text = "Time Out";
        m11.NavigateUrl = "LMS_AttendencePunchout.aspx";
        MenuItem m12 = new MenuItem();
        m12.Text = "Attendance Report";
        m12.NavigateUrl = "LMS_Attendence.aspx";
        //MenuItem m14 = new MenuItem();
        //m14.Text = "My staff Attendance Report";
        //m14.NavigateUrl = "MyStaffAttendanceReport .aspx";
        MenuItem m15 = new MenuItem();
        m15.Text = "Notice";
        //m15.NavigateUrl = "csm_newstaff.aspx";
        //MenuItem m16 = new MenuItem();
        //m16.Text = "Create Notice";
        //m16.NavigateUrl = "LMS_CreateNotice.aspx";
        MenuItem m17 = new MenuItem();
        m17.Text = "View Notice";
        m17.NavigateUrl = "LMS_home.aspx";
        MenuItem m18 = new MenuItem();
        m18.Text = "Logging";
        //m18.NavigateUrl = "csm_deletestaff.aspx";
        MenuItem m19 = new MenuItem();
        m19.Text = "Login";
        m19.NavigateUrl = "LMS_login.aspx";
        MenuItem m20 = new MenuItem();
        m20.Text = "Logout";
        m20.NavigateUrl = "LMS_login.aspx";
        MenuItem m21 = new MenuItem();
        m21.Text = "Change Password";
        m21.NavigateUrl = "LMS_ChangePassword.aspx";

        Menu1.Items.Add(m1);
        m1.ChildItems.Add(m2);
        m1.ChildItems.Add(m3);
        Menu1.Items.Add(m4);
        m4.ChildItems.Add(m5);
        //m4.ChildItems.Add(m6);
        m4.ChildItems.Add(m7);
        //m4.ChildItems.Add(m8);
        Menu1.Items.Add(m9);

        m9.ChildItems.Add(m10);
        m9.ChildItems.Add(m11);
        m9.ChildItems.Add(m12);
        //m9.ChildItems.Add(m14);
        Menu1.Items.Add(m15);
        //m15.ChildItems.Add(m16);
        m15.ChildItems.Add(m17);

        Menu1.Items.Add(m18);
        m18.ChildItems.Add(m19);
        m18.ChildItems.Add(m20);
        m18.ChildItems.Add(m21);
    }

    protected void Menu3_MenuItemClick(object sender, MenuEventArgs e)
    {
       


    }
}
