using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

/// <summary>
/// Summary descriptionn for DAL
/// </summary>
public class DAL
{
    string constr = ConfigurationManager.ConnectionStrings["connectedarch"].ConnectionString.Trim();
	public DAL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    public enum executemethods
    {
        ExecuteReader,
        ExecuteScalar,
        ExecuteNonQuery
    }

    public object connectedMethod(SqlCommand sqlcmd, executemethods e)
    {
        object obj = null;
        SqlConnection con = new SqlConnection(constr);
        sqlcmd.Connection = con;
        con.Open();
        if (e == executemethods.ExecuteNonQuery)
        {
            obj = sqlcmd.ExecuteNonQuery();
            con.Close();
        }
        if (e == executemethods.ExecuteReader)
        {
            SqlDataReader dr = sqlcmd.ExecuteReader(CommandBehavior.CloseConnection);
            //dr.Read();
            obj = dr;
            return obj;
        }
        if (e == executemethods.ExecuteScalar)
        {
            obj = sqlcmd.ExecuteScalar();
            con.Close();
        }

        return obj;
    }
    public SqlDataReader DatareaderMethod(SqlCommand sqlcmd, executemethods e)
    {
        SqlDataReader dr=null;
        SqlConnection con = new SqlConnection(constr);
        sqlcmd.Connection = con;
        con.Open();
      
        if (e == executemethods.ExecuteReader)
        {
           dr = sqlcmd.ExecuteReader(CommandBehavior.CloseConnection);
            //dr.Read();
            //obj = dr;
            return dr;
        }


        return dr;
    }
    public DataSet DisconectedMethod(SqlCommand sqlcmd)
    {
        DataSet ds = new DataSet();
        SqlConnection con = new SqlConnection(constr);
        sqlcmd.Connection = con;
        SqlDataAdapter da = new SqlDataAdapter(sqlcmd);
        da.Fill(ds);
        return ds;
    }
    public void filldropdowm(SqlCommand cmd, DropDownList ddltopic, string textcolumn, string valuecolumn)
    {
        DAL dal = new DAL();
        DataSet ds = dal.DisconectedMethod(cmd);
        ddltopic.DataSource = ds.Tables[0];
        ddltopic.DataTextField = textcolumn;
        ddltopic.DataValueField = valuecolumn;
       ddltopic.DataBind();
    }
}
