using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class LMS_LeaveStatus : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {

            if (Page.IsPostBack == false)
            {
                if (Session["userrole"].ToString() == "HOD")
                {
                    fillgrid(); ;
                }
                else if (Session["userrole"].ToString() == "Principal")
                {
                    fillgridprinicipal();
                }
             
            }
        }
        catch(NullReferenceException Ne)
        {
            Response.Redirect("LMS_login.aspx");
        }
    }
    public void fillgrid()
    {
        SqlCommand cmd = new SqlCommand("sp_LeMS_viewstatus");
        cmd.CommandType = CommandType.StoredProcedure;
        cmd.Parameters.Add("@staffid", SqlDbType.NVarChar, 50).Value = Session["username"].ToString();
 
        DAL dal = new DAL();
        DataSet ds = dal.DisconectedMethod(cmd);
        GridView1.DataSource = ds;
        GridView1.DataBind();
    }
    public void fillgridprinicipal()
    {
        SqlCommand cmd = new SqlCommand("sp_LeMS_viewstatusprincipal");
        cmd.CommandType = CommandType.StoredProcedure;
        //cmd.Parameters.Add("@staffid", SqlDbType.NVarChar, 50).Value = Session["username"].ToString();

        DAL dal = new DAL();
        DataSet ds = dal.DisconectedMethod(cmd);
        GridView1.DataSource = ds;
        GridView1.DataBind();
    }
    protected void GridView1_SelectedIndexChanging(object sender, GridViewSelectEventArgs e)
    {
        Session["Levid"] = GridView1.Rows[e.NewSelectedIndex].Cells[1].Text;
        if (Session["userrole"].ToString() == "HOD")
        {
            Response.Redirect("LMS_Leaveforward.aspx");
        }
        else if (Session["userrole"].ToString() == "Principal")
        {
            Response.Redirect("LMS_LeaveUpdation.aspx");
        }
    }
}
