-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.30-community


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema sravan
--

CREATE DATABASE IF NOT EXISTS sravan;
USE sravan;

--
-- Definition of table `attendance`
--

DROP TABLE IF EXISTS `attendance`;
CREATE TABLE `attendance` (
  `empId` int(10) unsigned DEFAULT NULL,
  `punchInTime` datetime DEFAULT NULL,
  `punchoutTime` datetime DEFAULT NULL,
  `punchinDescription` varchar(45) DEFAULT NULL,
  `punchoutDescription` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `attendance`
--

/*!40000 ALTER TABLE `attendance` DISABLE KEYS */;
INSERT INTO `attendance` (`empId`,`punchInTime`,`punchoutTime`,`punchinDescription`,`punchoutDescription`) VALUES 
 (10001,'2009-04-14 13:08:56','2009-04-22 14:15:19','this is punchin','hi am going to home'),
 (10001,'2009-04-22 13:24:33','2009-04-22 14:15:19','due to taffic i came late','hi am going to home');
/*!40000 ALTER TABLE `attendance` ENABLE KEYS */;


--
-- Definition of table `employee`
--

DROP TABLE IF EXISTS `employee`;
CREATE TABLE `employee` (
  `emp_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(15) NOT NULL,
  `password` varchar(15) NOT NULL,
  `emp_name` varchar(45) NOT NULL,
  `role` varchar(10) NOT NULL,
  `supervisor_id` varchar(45) NOT NULL,
  PRIMARY KEY (`emp_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10006 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `employee`
--

/*!40000 ALTER TABLE `employee` DISABLE KEYS */;
INSERT INTO `employee` (`emp_id`,`username`,`password`,`emp_name`,`role`,`supervisor_id`) VALUES 
 (10001,'anil','real','anil kumar','employee',''),
 (10002,'sunil','sample','sunilkumar','hr',''),
 (10003,'karunaker','sample1','karunakerreddy','',''),
 (10004,'azar','sample2','md azar','',''),
 (10005,'navven','sample3','allenaveen','','');
/*!40000 ALTER TABLE `employee` ENABLE KEYS */;


--
-- Definition of table `holidays`
--

DROP TABLE IF EXISTS `holidays`;
CREATE TABLE `holidays` (
  `Date` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Description` varchar(45) NOT NULL,
  PRIMARY KEY (`Date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `holidays`
--

/*!40000 ALTER TABLE `holidays` DISABLE KEYS */;
/*!40000 ALTER TABLE `holidays` ENABLE KEYS */;


--
-- Definition of table `leave application`
--

DROP TABLE IF EXISTS `leave application`;
CREATE TABLE `leave application` (
  `Leave_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `emp_id` int(10) unsigned NOT NULL,
  `Leave_Type` varchar(45) DEFAULT NULL,
  `Leave_from` date DEFAULT NULL,
  `Leave_To` date DEFAULT NULL,
  `Reasons` varchar(45) DEFAULT NULL,
  `Status` varchar(45) DEFAULT NULL,
  `Comments` varchar(45) DEFAULT NULL,
  `Duration` varchar(45) DEFAULT NULL,
  `Supervisor_Approval` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`Leave_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `leave application`
--

/*!40000 ALTER TABLE `leave application` DISABLE KEYS */;
INSERT INTO `leave application` (`Leave_id`,`emp_id`,`Leave_Type`,`Leave_from`,`Leave_To`,`Reasons`,`Status`,`Comments`,`Duration`,`Supervisor_Approval`) VALUES 
 (4,10001,'Privilege','2009-10-12','2009-10-19','fdgdfgdf',NULL,NULL,NULL,NULL),
 (5,10001,'Compoff','2207-12-12','2008-02-12','sdsds',NULL,NULL,NULL,NULL),
 (6,10001,'Privilege','2004-12-12','2005-12-12','',NULL,NULL,NULL,NULL),
 (7,10001,'Compoff','2009-04-22','2009-04-24','dsds',NULL,NULL,NULL,NULL),
 (8,10001,'Compoff','2009-02-07','2009-02-09','hi',NULL,NULL,NULL,NULL),
 (9,10001,'Casual','2009-04-22','2009-04-24','sdfasdsadfasdfasdasdfa',NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `leave application` ENABLE KEYS */;


--
-- Definition of table `leave elgibility`
--

DROP TABLE IF EXISTS `leave elgibility`;
CREATE TABLE `leave elgibility` (
  `Emp_id` int(10) unsigned NOT NULL,
  `SickLeave` int(10) unsigned DEFAULT NULL,
  `CasualLeave` int(10) unsigned DEFAULT NULL,
  `Comp_off` int(10) unsigned NOT NULL DEFAULT '0',
  `Privaligy_Leave` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`Emp_id`,`Comp_off`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `leave elgibility`
--

/*!40000 ALTER TABLE `leave elgibility` DISABLE KEYS */;
INSERT INTO `leave elgibility` (`Emp_id`,`SickLeave`,`CasualLeave`,`Comp_off`,`Privaligy_Leave`) VALUES 
 (10001,1,1,1,1),
 (10002,4,3,2,1),
 (10003,1,1,1,1),
 (10005,0,0,0,0);
/*!40000 ALTER TABLE `leave elgibility` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
